CVE-2006-3069
CVSS7.5
发布时间 :2006-06-19 06:02:00
修订时间 :2008-09-05 17:06:10
NMCO    

[原文]** DISPUTED ** PHP remote file inclusion vulnerability in DoubleSpeak 0.1, when register_globals is enabled, allows remote attackers to execute arbitrary PHP code via the config[private] parameter in multiple files, as demonstrated by (1) index.php, (2) faq.php, and (3) hardware.php. NOTE: this issue has been disputed by multiple third-party researchers, who state that config[private] is initialized in an include file before being used.


[CNNVD]RETIRED: DoubleSpeak 多个远程文件包含漏洞(CNNVD-200606-373)

        ** 有争议 ** DoubleSpeak 0.1存在PHP远程文件包含漏洞。register_globals启用时,远程攻击者可以借助多个文件中的config[private]参数,执行任意PHP代码,比如(1) index.php, (2) faq.php和(3) hardware.php。注: 多位第三方研究者对此提出反驳,声称config[private]在被使用前已在include文件中初始化。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-3069
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-3069
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200606-373
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/18401
(UNKNOWN)  BID  18401
http://www.osvdb.org/27436
(UNKNOWN)  OSVDB  27436
http://securitytracker.com/id?1016278
(UNKNOWN)  SECTRACK  1016278
http://attrition.org/pipermail/vim/2006-July/000935.html
(UNKNOWN)  VIM  20060723 Igloo DoublSpeak vuln
http://archives.neohapsis.com/archives/bugtraq/2006-06/0184.html
(UNKNOWN)  BUGTRAQ  20060612 Re: igloo DoubleSpeak v 0.1 Multiple remote file inclusion

- 漏洞信息

RETIRED: DoubleSpeak 多个远程文件包含漏洞
高危 输入验证
2006-06-19 00:00:00 2006-10-05 00:00:00
远程  
        ** 有争议 ** DoubleSpeak 0.1存在PHP远程文件包含漏洞。register_globals启用时,远程攻击者可以借助多个文件中的config[private]参数,执行任意PHP代码,比如(1) index.php, (2) faq.php和(3) hardware.php。注: 多位第三方研究者对此提出反驳,声称config[private]在被使用前已在include文件中初始化。

- 公告与补丁

        暂无数据

- 漏洞信息

27436
DoubleSpeak Multiple Script SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity

- 漏洞描述

igloo DoubleSpeak has been reported to contain a flaw that may allow an attacker to carry out an SQL injection attack. The issue is reportedly due to the index.php, faq.php, and hardware.php script not properly sanitizing user-supplied input to the 'config[private]' variable. However, subsequent examination and testing indicates that input is sanitized before being used in a query removing opportunity for injection.

- 时间线

2006-06-11 Unknow
Unknow Unknow

- 解决方案

The vulnerability reported is incorrect. No solution required.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站